
# **********************************************************************
# This file was generated by videoconfig (Zenwalk Xorg configuration tool)
# If you changed your video card or monitor, please run videoconfig again
# from runlevel 3. Don't modify this file yourself until you know what you do ;)
# **********************************************************************


# **********************************************************************
# Files section -- This allows default font and rgb paths to be set
# **********************************************************************

Section "Files"
	RgbPath      "/usr/share/X11/rgb"
	ModulePath   "/usr/lib/xorg/modules"
	FontPath     "/usr/share/fonts/TTF"
	FontPath     "/usr/share/fonts/OTF"
	FontPath     "/usr/share/fonts/Type1"
	FontPath     "/usr/share/fonts/misc"
	FontPath     "/usr/share/fonts/75dpi/:unscaled"
EndSection

# **********************************************************************
# Module section -- this  section  is used to specify
# which dynamically loadable modules to load.
# **********************************************************************

Section "Module"
	Load  "synaptics"
	Load  "GLcore"
	Load  "dbe"
	Load  "dri"
	Load  "glx"
	Load  "xtrap"
	Load  "record"
	Load  "extmod"
	Load  "freetype"
	Load  "type1"
EndSection

# **********************************************************************
# Server flags section
# **********************************************************************

Section "ServerFlags"
#    Option     "NoTrapSignals"
#    Option     "DontVTSwitch"
#    Option     "DontZap"
#    Option     "DontZoom"
#    Option     "DisableVidModeExtension"
#    Option     "AllowNonLocalXvidtune"
#    Option     "DisableModInDev"
#    Option     "AllowNonLocalModInDev"
#    Option      "blank time"    "10"    # 10 minutes
#    Option      "standby time"  "20"
#    Option      "suspend time"  "30"
#    Option      "off time"      "60"

# Option   "EstimateSizesAggresively" "0"

EndSection


# **********************************************************************
# DRI section
# **********************************************************************

Section "dri"
# Access to OpenGL ICD is allowed for all users:
    Mode 0666
# Access to OpenGL ICD is restricted to a specific user group:
#    Group 100    # users
EndSection


# **********************************************************************
# Extensions section
# **********************************************************************

Section "Extensions"
        Option "Composite" "Enable"
EndSection


# **********************************************************************
# Keyboard section
# **********************************************************************

Section "InputDevice"
	Identifier	"Keyboard1"
	Driver	"kbd"
#	Option     "Protocol"      "Xqueue"
#	Option     "AutoRepeat"    "500 5"
#	Option     "Xleds" "1 2 3"
#	Option     "XkbDisable"

	Option     "XkbRules"      "xorg"
	Option     "XkbModel"      "pc105"
Option     "XkbLayout"     "cz"
#	Option     "XkbVariant"    "us"
Option     "XkbOptions"    ""
EndSection


# **********************************************************************
# Pointers section
# **********************************************************************

Section "InputDevice"

# Identifier and driver
	Identifier "Mouse1"
	Driver	     "mouse"
	Option	     "Protocol" "Auto"
	Option	     "Device" "/dev/mouse"
#	Option     "Protocol" "Xqueue"
#	Option     "BaudRate" "9600"
#	Option     "SampleRate"	"150"
#	Option     "Emulate3Buttons"
#	Option     "Emulate3Timeout" "50"
#	Option     "ChordMiddle"
	Option     "ZAxisMapping" "4 5"
EndSection

Section "InputDevice" 
	Identifier    "Pad1" 
	Driver        "synaptics" 
	Option           "Protocol" "auto-dev" 
	Option           "Device" "/dev/tp1" 
	Option        "LeftEdge"      "1700" 
	Option        "RightEdge"     "5300" 
	Option        "TopEdge"       "1700" 
	Option        "BottomEdge"    "4200" 
	Option        "FingerLow"     "25" 
	Option        "FingerHigh"    "30" 
	Option        "MaxTapTime"    "180" 
	Option        "MaxTapMove"    "220" 
	Option        "VertScrollDelta" "100" 
	Option        "MinSpeed"      "0.09" 
	Option        "MaxSpeed"      "0.18" 
	Option        "AccelFactor"   "0.0015" 
	Option        "SHMConfig"     "on" 
EndSection 


# **********************************************************************
# Monitor section
# **********************************************************************

Section "Monitor"
	Identifier     "Monitor1"
     VendorName "Monitor Vendor"
     ModelName "The monitor"

		
	
     HorizSync 31.5 - 50.0
     VertRefresh 40-90
	
EndSection


# **********************************************************************
# Graphic devices section
# **********************************************************************

# Any number of graphic devices sections may be present

Section "Device"
	Identifier     "Videocard1"
	VendorName  "nVidia Corporation"
	BoardName   "NV11 [GeForce2 MX/MX 400]"
	Driver     "nvidia"
	BusID       "PCI:1:0:0"
	Option "RenderAccel" "true"
EndSection

# **********************************************************************
# Screen section
# **********************************************************************

Section "Screen"
    Identifier  "Videoconfig"
    Device      "Videocard1"
    Monitor     "Monitor1"

   DefaultDepth 16

    Subsection "Display"
        Depth       8
        Modes  "800x600"
    EndSubsection
    Subsection "Display"
        Depth       16
        Modes  "800x600"
    EndSubsection
    Subsection "Display"
        Depth       24
        Modes  "800x600"
    EndSubsection
    Subsection "Display"
        Depth       32
        Modes  "800x600"
    EndSubsection
EndSection

# **********************************************************************
# ServerLayout section
# **********************************************************************

Section "ServerLayout"
	Identifier		"Simple Layout"
	Screen			"Videoconfig"
	InputDevice		"Mouse1" "CorePointer"
	InputDevice		"Pad1" "SendCoreEvents"
	InputDevice		"Keyboard1" "CoreKeyboard"
EndSection

